# CEGUI::Menubar Class Reference

Base class for menu bars. More...

Inheritance diagram for CEGUI::Menubar:

[legend]
Collaboration diagram for CEGUI::Menubar:

[legend]
List of all members.

## Public Member Functions

| Menubar (const String &type, const String &name)
| Constructor for Menubar objects.
virtual | ~Menubar (void)
| Destructor for Menubar objects.

## Static Public Attributes

static const String | EventNamespace
| Namespace for global events.

## Protected Member Functions

virtual void | layoutItemWidgets ()
| Setup size and position for the item widgets attached to this Menubar.
virtual Size | getContentSize ()
| Resizes the menubar to exactly fit the content that is attached to it.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

## Detailed Description

Base class for menu bars.

## Member Function Documentation

Size CEGUI::Menubar::getContentSize | ( |  | ) | `[protected, virtual]`

Resizes the menubar to exactly fit the content that is attached to it.

Returns:
  Nothing.

Implements CEGUI::ItemListBase.

void CEGUI::Menubar::layoutItemWidgets | ( |  | ) | `[protected, virtual]`

Setup size and position for the item widgets attached to this Menubar.

Returns:
  Nothing.

Implements CEGUI::ItemListBase.

virtual bool CEGUI::Menubar::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

Parameters:

  | class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::MenuBase.